
/* TwigMan - An SDL demonstration for CSCI 321.
   Version 0.9.0
   Written by Dr. Evan L. Schemm
              Lake Superior State University
              School of Mathematics and Computer Science

   Please send questions, comments, suggestions or (gasp!) bugfixes to:
          elschemm@furball.schemm.lssu.edu

   Copyright 2007 by LSSU School of MA/CS

   Licensed under GPL.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.


   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/










 
// This file is meant to be #included in the main file.  It is separate only
// to reduce the clutter of having all the source code in one large file.
// We really don't want to have to extern everything, now do we?
// Since this doesn't have anything to do with the regular gameplay, I put
// this stuff in a separate file!


/*****************************************************************************
 *
 *
 *
 *****************************************************************************/
void show_intermission1()
  {
  int loop;
  SDL_Event event;
  SDL_Rect rect;
  SDL_Rect pos;

  Mix_PlayMusic(musics[inter1], -1);
  // The first intermission is a Star Wars style intro!
  
   // Intermissions get a blank screen!
  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  big_xprint("Part I", 216, 100);
  big_xprint("Before", 216, 200);
  little_xprint("Shortly after time began...", 165, 300);
  SDL_UpdateRect(screen, 0,0,0,0);
  for (loop = 0; loop < 150; loop++)
    {
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    SDL_Delay(50);
    } // End delay PART I Display

  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  SDL_UpdateRect(screen, 0,0,0,0);
  // Now the main feature!
  // every 20 in loop = 1 second of action
  for (loop = 0; loop < 480; loop++)
    {
    SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
    little_xprint("The History of LSSU (abridged)", 148,300-loop);
    little_xprint("A really really long long time ago, the earth cooled.  ",35,340-loop);
    little_xprint("The government was very unhappy about this.  So, they ",10,360-loop);
    little_xprint("decided to create LSSU, an institution of higher learning.",10,380-loop);
    little_xprint("How that was supposed to solve the problem is anyones ",10,400-loop);
    little_xprint("guess.  But you know how politicians are...  ",10,420-loop);
    little_xprint("Sadly, in the beginning, LSSU had no computer science ",35,440-loop);
    little_xprint("department.  This oversight on the part of the government",10,460-loop);
    little_xprint("might be explained by the fact that at the time, there ",10,480-loop);
    little_xprint("were no computers.  Wiser heads, however, know that ",10,500-loop);
    little_xprint("excuse is simply a coverup for bureaucratic incompetence.",10,520-loop);
    little_xprint("This is the story of the emergence of that bastion of ",35,540-loop);
    little_xprint("computation!  And of those heroic souls who fight on!",10,560-loop);
    little_xprint("It's all true...  Trust Me...",148,580-loop);
    little_xprint("Wait, Twig! Get away from that keyboard!", 35, 660-loop);
    SDL_UpdateRect(screen, 0,140,600,220);
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    if (loop == 400)  // Fade it out at the end of the intermission.
      Mix_FadeOutMusic(4000);
    SDL_Delay(50);    
    
    } // End delay for end of screen
  }


/*****************************************************************************
 *
 * Intermission 2
 *
 *****************************************************************************/



void show_intermission2()
  {
  int loop;
  SDL_Event event;
  SDL_Rect rect;
  SDL_Rect pos;

  int Bpos[480]={100,101,102,103,104,105,106,107,108,109,109,108,107,106,105,104,103,102,101,100,
		 99, 98, 97, 96, 95, 94, 93, 92, 91, 90, 89, 88, 87, 86, 85, 84, 83, 82, 81, 80,
		 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 94, 93, 92, 91, 90,
		 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100,101,102,103,104,105,106,107,108,109,
		 109,108,107,106,105,104,103,102,101,100, 99, 98, 97, 96, 95, 94, 93, 92, 91, 90,
		 89, 88, 87, 86, 85, 84, 83, 82, 81, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90,
		 91, 92, 93, 94, 95, 94, 93, 92, 91, 90, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99,
		 100,101,102,103,104,105,106,107,108,109,110,112,114,116,118,120,122,124,126,128,
		 130,134,136,138,140,142,144,146,148,150,152,154,156,158,160,162,164,166,168,170,
		 172,174,176,178,180,182,184,186,188,190,192,194,196,198,200,202,204,206,208,210,
		 212,214,216,218,220,222,224,226,228,230,232,234,236,238,240,242,244,246,248,250,
		 251,252,253,254,255,256,257,258,259,260,260,260,260,260,260,260,260,260,260,260,
		 260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
		 260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
		 260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
		 260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
		 260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
		 260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
		 260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
		 260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
		 260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
		 260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
		 259,258,257,256,255,254,253,252,251,250,249,248,247,246,245,244,243,242,241,240,
		 239,238,237,236,235,234,233,232,231,230,229,228,227,226,225,224,223,222,221,220};
  
  // The second intermission is Boger hiding from the meteors
  Mix_PlayMusic(musics[inter1], -1);
  // Intermissions get a blank screen!
  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  big_xprint("Part II", 202, 100);
  big_xprint("Boger", 230, 200);
  little_xprint("A long, long time ago, when dinosaurs ruled the earth...", 20,300);
  SDL_UpdateRect(screen, 0,0,0,0);
  for (loop = 0; loop < 150; loop++)
    {
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    SDL_Delay(50);
    } // End delay PART II Display

  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  SDL_UpdateRect(screen, 0,0,0,0);
  // Now the main feature!
  // every 20 in loop = 1 second of action
  for (loop = 0; loop < 480; loop++)
    {
    SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
    if (loop < 20) little_xprint("Computers Rule!",  40, 250);
    if ((loop > 140)&&(loop < 160)) little_xprint("Oh no! Meteors!", 50, 250);
    if ((loop > 240)&&(loop < 260)) little_xprint("Safe! IBM cases", 330, 250);
    if ((loop > 240)&&(loop < 260)) little_xprint("are indestructable!", 340, 270);

    if ((loop > 40)&&(loop < 60)) little_xprint("ROAAAR!", 20, 320);
    if ((loop > 100)&&(loop < 120)) little_xprint("ROAAAR!", 480, 320);
    if ((loop > 200)&&(loop < 220)) little_xprint("ROAAAR!", 370, 320);
    if ((loop > 280)&&(loop < 300)) little_xprint("ROAAAR!", 70, 320);

    if (loop > 400) little_xprint("Meteors: 4", 400, 50);
    if (loop > 420) little_xprint("Dinos:   0", 400, 70);
    if (loop > 440) little_xprint("Boger: Survives!", 400, 90);
    if (loop > 460) little_xprint(";)", 170, 250);


    // The ground
    rect.x = 0; rect.y = 400;rect.w = 600; rect.h = 50;
    SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format,188, 155, 0));

    // Dinos!!
    if (loop < 360)
      {
      rect.x = 0; rect.y = 0; rect.w = 94; rect.h = 58; pos.x = 0; pos.y = 347;
      SDL_BlitSurface(dino1, &rect, screen, &pos);
      }
    if (loop < 330)
      {
      rect.x = 0; rect.y = 0; rect.w = 94; rect.h = 58; pos.x = 500; pos.y = 347;
      SDL_BlitSurface(dino1, &rect, screen, &pos);
      }
    if (loop < 300)
      {
      rect.x = 0; rect.y = 0; rect.w = 93; rect.h = 49; pos.x = 90; pos.y = 352;
      SDL_BlitSurface(dino3, &rect, screen, &pos);
      }
    if (loop < 350)
      {
      rect.x = 0; rect.y = 0; rect.w = 94; rect.h = 59; pos.x = 350; pos.y = 350;
      SDL_BlitSurface(dino2, &rect, screen, &pos);
      }




    // Rock 1
    rect.x = 30*(loop%8); rect.y = 0;rect.w=30;rect.h=30;
    if (loop<=280) {pos.x = 930-(loop*2.5); pos.y = loop - 130;}
    else {pos.x = 930-(loop*2.5); pos.y = (150- (loop-280));}
    SDL_BlitSurface(rock, &rect, screen, &pos);

    // Rock 2
    if (loop <= 360)
      {
      rect.x = 30*(loop%8); rect.y = 0;rect.w=30;rect.h=30;
      pos.x = (loop/6) - 45; pos.y = loop*2 - 340;
      SDL_BlitSurface(rock, &rect, screen, &pos);
      }
    if (loop > 360)
      {
      rect.x = 0; rect.y = 0; rect.w = 60; rect.h = 30; pos.x = 5; pos.y = 380;
      SDL_BlitSurface(crater, &rect, screen, &pos);
      }

    // Rock 3
    if (loop <= 330)
      {
      rect.x = 30*(loop%8); rect.y = 0;rect.w=30;rect.h=30;
      pos.x = (loop*2)-130; pos.y = loop*2 - 280;
      SDL_BlitSurface(rock, &rect, screen, &pos);
      }
    if (loop > 330)
      {
      rect.x = 0; rect.y = 0; rect.w = 60; rect.h = 30; pos.x = 505; pos.y = 380;
      SDL_BlitSurface(crater, &rect, screen, &pos);
      } 

    // Rock 4
    if (loop <= 300)
      {
      rect.x = 30*(loop%8); rect.y = 0;rect.w=30;rect.h=30;
      pos.x = 400-loop; pos.y = loop*3 - 520;
      SDL_BlitSurface(rock, &rect, screen, &pos);
      }
    if (loop > 300)
      {
      rect.x = 0; rect.y = 0; rect.w = 60; rect.h = 30; pos.x = 90; pos.y = 380;
      SDL_BlitSurface(crater, &rect, screen, &pos);
      } 

    // Rock 5
    if (loop <= 350)
      {
      rect.x = 30*(loop%8); rect.y = 0;rect.w=30;rect.h=30;
      pos.x = 750-loop; pos.y = (loop*2)-360;
      SDL_BlitSurface(rock, &rect, screen, &pos);
      }
    if (loop > 350) 
      {
      rect.x = 0; rect.y = 0; rect.w = 60; rect.h = 30; pos.x = 375; pos.y = 380;
      SDL_BlitSurface(crater, &rect, screen, &pos);
      } 
	
    if (loop == 280) do_sounds(sounds[jumpping]);
    if (loop == 360) do_sounds(sounds[crash]);
    if (loop == 330) do_sounds(sounds[crash]);
    if (loop == 300) do_sounds(sounds[crash]);
    if (loop == 350) do_sounds(sounds[crash]);
    if (loop == 440) do_sounds(sounds[intermission]);

    
    
    // Left Half of Computer
    rect.x = 60*((loop/12)%3); rect.y = 0;rect.w=60;rect.h=240;
    pos.y=176;pos.x= 200;
    SDL_BlitSurface(ibm_360, &rect, screen, &pos);
    // Boger
    rect.x = 0; rect.y = 0;rect.w=42;rect.h=126;pos.x =Bpos[loop];pos.y=278;
    SDL_BlitSurface(BigBoger, &rect, screen, &pos);
    // Right Half of Computer
    rect.x = 180;rect.y = 0;rect.w=60;rect.h=240;
    pos.y=176;pos.x= 260;
    SDL_BlitSurface(ibm_360, &rect, screen, &pos);

    SDL_UpdateRect(screen, 0,0,0,0);
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }

    if (loop == 400)  // Fade it out at the end of the intermission
      Mix_FadeOutMusic(4000);
    SDL_Delay(50);    
    } // End delay for end of screen
  
  }



/*****************************************************************************
 *
 * Intermission 3
 *
 *****************************************************************************/

void show_intermission3()
  {
  int loop;
  SDL_Event event;
  SDL_Rect rect;
  SDL_Rect pos;
  int sloop;
  
  int Bpos[480]={240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,
		 260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,
		 280,281,282,283,284,285,286,287,288,289,290,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
		 291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291};

		 
		 

  int Tpos[480]={-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,
		 -54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,
		 -54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,-54,
		 -53,-52,-51,-50,-49,-48,-47,-46,-45,-44,-43,-42,-41,-40,-39,-38,-37,-36,-35,-34,
		 -33,-32,-31,-30,-29,-28,-27,-26,-25,-24,-23,-22,-21,-20,-19,-18,-17,-16,-15,-14,
		 -13,-12,-11,-10, -9, -8, -7, -6, -5, -4, -3, -2, -1,  0,  1,  2,  3,  4,  5,  6,
		   8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 30, 32, 34, 36, 38, 40, 42, 44, 46, 
		  48, 50, 52, 54, 56, 58, 60, 62, 64, 66, 68, 70, 72, 74, 76, 78, 80, 82, 84, 86,
		  88, 90, 92, 94, 96, 98,100,102,104,106,108,110,112,114,116,118,120,122,124,126,
		 128,130,132,134,136,138,140,142,144,146,148,150,152,154,156,158,160,162,164,166,
		 168,170,172,174,176,178,180,182,184,186,188,190,192,194,196,198,200,202,204,206,
		 208,210,212,214,216,218,220,222,224,226,228,230,232,234,236,238,240,242,244,246,
		 248,250,252,254,256,258,260,262,264,266,266,266,266,266,266,266,266,266,266,266,
		 266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
		 266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
		 266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
		 266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
		 266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
		 266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
		 266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
		 266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
		 266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
		 266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
		 265,265,263,262,261,260,259,258,257,256,256,256,256,256,256,256,256,256,256,256};


  
  int Sxpos[20]={520, 475, 540, 495, 532, 490, 570, 470, 525, 5040,
		 493, 450, 578, 464, 515, 466, 514, 482, 576, 553};

  int Sypos[20]={390, 360, 360, 340, 350, 370, 340, 330, 320, 395,
		 320, 360, 330, 352, 367, 384, 332, 371, 357, 353};

  int Cpos[13]={0,1,2,1,0,1,2,1,0,1,2,1,0};

  // The third intermission is Twig and PC's
  Mix_PlayMusic(musics[inter1], -1);
   // Intermissions get a blank screen!
  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  big_xprint("Part III", 188, 100);
  big_xprint("Terwilliger (Twig)", 48, 200);
  little_xprint("A fairly long time ago...", 175, 300);
  SDL_UpdateRect(screen, 0,0,0,0);
  for (loop = 0; loop < 150; loop++)
    {
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    SDL_Delay(50);
    } // End delay PART I Display
  
  
  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  SDL_UpdateRect(screen, 0,0,0,0);
  // Now the main feature!
  // every 20 in loop = 1 second of action
  for (loop = 0; loop < 480; loop++)
    {
    SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));

    // The ground
    rect.x = 0; rect.y = 300;rect.w = 600; rect.h = 150;
    SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format,188, 155, 0));

    if ((loop > 20)&&(loop < 60)) little_xprint("Computer",  480, 250);
    if ((loop > 60)&&(loop < 100)) little_xprint("Computer",  520, 300); 
    if ((loop > 80)&&(loop < 120)) little_xprint("Computer",  430, 350); 
    if ((loop > 80)&&(loop < 120)) little_xprint("Computer",  510, 320);
    if ((loop > 120)&&(loop < 160)) little_xprint("Computer",  475, 390);
    if ((loop > 160)&&(loop < 200)) little_xprint("Computer",  514, 260);
    if ((loop > 185)&&(loop < 225)) little_xprint("Computer",  480, 310);
    if ((loop > 240)&&(loop < 280)) little_xprint("Computer",  500, 380);
    if ((loop > 260)&&(loop < 300)) little_xprint("Computer",  440, 400);
    if ((loop > 260)&&(loop < 300)) little_xprint("Computer",  520, 320);
    if ((loop > 280)&&(loop < 320)) little_xprint("Computer",  486, 385);
    if ((loop > 300)&&(loop < 340)) little_xprint("Computer",  506, 310);
    if ((loop > 320)&&(loop < 360)) little_xprint("Computer",  520, 370);
    if ((loop > 360)&&(loop < 400)) little_xprint("Computer",  490, 320);
    if ((loop > 440)&&(loop < 480)) little_xprint("Wow!",  480, 270);

    if ((loop > 80)&&(loop < 120)) little_xprint("Stupid Computer!", 180, 220);
    if ((loop > 80)&&(loop < 120)) little_xprint("Compute faster!",  180, 240);
    if ((loop > 140)&&(loop < 180)) little_xprint("Don't worry!",  10, 220);
    if ((loop > 140)&&(loop < 180)) little_xprint("I can help.",  10, 240);
    if ((loop > 180)&&(loop < 220)) little_xprint("I come from an",  20, 220);
    if ((loop > 180)&&(loop < 220)) little_xprint("agricultural school",  20, 240);
    if ((loop > 220)&&(loop < 260)) little_xprint("We need PC's.  They",  40, 220);
    if ((loop > 220)&&(loop < 260)) little_xprint("will solve our problems.",  40, 240);
    if ((loop > 260)&&(loop < 300)) little_xprint("What are PC's?",  200, 220);
    if ((loop > 300)&&(loop < 340)) little_xprint("Plantable Computers.",  80, 220);
    if ((loop > 300)&&(loop < 340)) little_xprint("I think...",  80, 240);
    if ((loop > 340)&&(loop < 380)) little_xprint("I see.",  260, 220);
    if ((loop > 440)&&(loop < 480)) little_xprint("No more computing",  120, 220);
    if ((loop > 440)&&(loop < 480)) little_xprint("problems",  120, 240);

    if (loop == 80) do_sounds(sounds[thud]);
    if (loop == 100) do_sounds(sounds[thud]);
    if (loop == 120) do_sounds(sounds[thud]);
    if (loop == 320) do_sounds(sounds[flower]);
   
    // Left Half of Computer
    rect.x = 60*((loop/12)%3); rect.y = 0;rect.w=60;rect.h=240; pos.y=176;pos.x= 340;
    SDL_BlitSurface(ibm_360, &rect, screen, &pos);
    // Right Half of Computer
    rect.x = 180;rect.y = 0;rect.w=60;rect.h=240; pos.y=176;pos.x= 400;
    SDL_BlitSurface(ibm_360, &rect, screen, &pos);
    // Baseball Bat
    if ((loop>=70)&&(loop<140))
      {
      rect.x=30+25*(Cpos[(loop-70)/5]);rect.y=0;rect.w=25;rect.h=30;pos.x=322;pos.y=300;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      }

    // Twig
    rect.x = 0; rect.y = 0;rect.w=54;rect.h=140;pos.x =Tpos[loop];pos.y=266;
    SDL_BlitSurface(BigTwig, &rect, screen, &pos);
    if ((loop>=100)&&(loop<300))
      {
      rect.x = 0; rect.y = 30;rect.w=15;rect.h=20;pos.x =Tpos[loop]-14;pos.y=326;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      }
      
    // Boger
    rect.x = 0; rect.y = 0;rect.w=42;rect.h=126;pos.x =Bpos[loop];pos.y=278;
    SDL_BlitSurface(BigBoger, &rect, screen, &pos);
    
    // Students
    for (sloop=0; sloop< 20; sloop++)
      {
      rect.x = 20*(loop%8); rect.y =20;rect.w=20;rect.h=20;pos.x=Sxpos[sloop];pos.y=Sypos[sloop];
      SDL_BlitSurface(student, &rect, screen, &pos);
      }
    // Seeds
    if ((loop>=142)&&(loop<196))
      {
      rect.x=20;rect.y=30;rect.h=2;rect.y=2;pos.x=50;pos.y=346+(loop-142);
      SDL_BlitSurface(misc,&rect,screen,&pos);
      }
    if ((loop>=162)&&(loop<216))
      {
      rect.x=20;rect.y=30;rect.h=2;rect.y=2;pos.x=90;pos.y=346+(loop-162);
      SDL_BlitSurface(misc,&rect,screen,&pos);
      }
    if ((loop>=182)&&(loop<236))
      {
      rect.x=20;rect.y=30;rect.h=2;rect.y=2;pos.x=130;pos.y=346+(loop-182);
      SDL_BlitSurface(misc,&rect,screen,&pos);
      }
    if ((loop>=202)&&(loop<256))
      {
      rect.x=20;rect.y=30;rect.h=2;rect.y=2;pos.x=170;pos.y=346+(loop-202);
      SDL_BlitSurface(misc,&rect,screen,&pos);
      }
    if ((loop>=222)&&(loop<276))
      {
      rect.x=20;rect.y=30;rect.h=2;rect.y=2;pos.x=210;pos.y=346+(loop-222);
      SDL_BlitSurface(misc,&rect,screen,&pos);
      }
    // The computer flowers
    if (loop > 320)
      {
      rect.x = 30+(20*((loop-320)/40));rect.y=30;rect.w=20;rect.h=30;pos.x=40; pos.y=370;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      rect.x = 30+(20*((loop-320)/40));rect.y=30;rect.w=20;rect.h=30;pos.x=80; pos.y=370;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      rect.x = 30+(20*((loop-320)/40));rect.y=30;rect.w=20;rect.h=30;pos.x=120; pos.y=370;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      rect.x = 30+(20*((loop-320)/40));rect.y=30;rect.w=20;rect.h=30;pos.x=160; pos.y=370;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      rect.x = 30+(20*((loop-320)/40));rect.y=30;rect.w=20;rect.h=30;pos.x=200; pos.y=370;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      rect.x = 30+(20*((loop-320)/40));rect.y=30;rect.w=20;rect.h=30;pos.x=240; pos.y=370;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      }
    SDL_UpdateRect(screen, 0,0,0,0);
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    if (loop == 400)  // Fade it out at the end of the intermission.
      Mix_FadeOutMusic(4000);
    SDL_Delay(50);    
    
    } // End delay for end of screen
  }



/*****************************************************************************
 *
 * Intermission 4
 *
 *****************************************************************************/

void show_intermission4()
  {
  int loop;
  SDL_Event event;
  SDL_Rect rect;
  SDL_Rect pos;

  int vary[50]={0,-1,-2,-3,-4,-5,-5,-5,-4,-3,-3,-2,-1,0,0,0,0,0,0,0,1,2,2,2,3,3,4,5,5,5,5,4,4,4,
		3,3,2,2,2,1,1,0,-1,-1,-1,0,0,0,0,0};

  // The fourth intermission is Fabbri running from the IRS
  Mix_PlayMusic(musics[inter1], -1);
   // Intermissions get a blank screen!
  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  big_xprint("Part IV", 202, 100);
  big_xprint("Fabbri", 216, 200);
  little_xprint("Kind of a bit ago...", 200, 300);
  SDL_UpdateRect(screen, 0,0,0,0);
  for (loop = 0; loop < 150; loop++)
    {
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    SDL_Delay(50);
    } // End delay PART I Display

  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  SDL_UpdateRect(screen, 0,0,0,0);
  // Now the main feature!
  // every 20 in loop = 1 second of action
  for (loop = 0; loop < 960; loop++)
    {
    SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
    
    rect.y = 0; rect.h = 100; rect.w = 600; pos.x = 0; pos.y = 240;
    if (loop < 100) rect.x = 0; else rect.x = 10* (loop%10);
    SDL_BlitSurface(road, &rect, screen, &pos);

    if (loop < 80)
      {
      rect.x = 0; rect.y = 0; rect.w = 150; rect.h = 75; pos.x = 20; pos.y = 165;
      SDL_BlitSurface(house, &rect, screen, &pos);
      }
    if ((loop >= 80)&&(loop < 115))
      {
      rect.x = 0; rect.y = 0; rect.w = 150; rect.h = 75; pos.x = 20-((loop-80)*5); pos.y = 165;
      SDL_BlitSurface(house, &rect, screen, &pos);
      }

    // The vans
    if (loop <= 80)
      {
      rect.x = ((loop/10)%2)*40; rect.y = 0; rect.w = 40; rect.h= 30; pos.x = 5; pos.y = 300;
      SDL_BlitSurface(trucks, &rect, screen, &pos);
      rect.x = (-1*(((loop/10)%2)-1))*40;rect.y =0;rect.w=40; rect.h= 30; pos.x = 85; pos.y = 300;
      SDL_BlitSurface(trucks, &rect, screen, &pos);
      }
    if ((loop > 80)&&(loop<=300))
      {
      rect.x = ((loop/10)%2)*40; rect.y = 0; rect.w = 40; rect.h= 30; 
      pos.x = 5-((loop-80)/4); pos.y = 300;
      SDL_BlitSurface(trucks, &rect, screen, &pos);
      rect.x = (-1*(((loop/10)%2)-1))*40; rect.y = 0; rect.w = 40; rect.h= 30; 
      pos.x = 85+((loop-90)); pos.y = 300-((loop-80)/5);
      SDL_BlitSurface(trucks, &rect, screen, &pos);
      rect.x = 80; rect.y = 0; rect.w = 40; rect.h= 30; 
      pos.x = 778-((loop-80)*2); pos.y = 250;
      SDL_BlitSurface(trucks, &rect, screen, &pos);
      }
    if ((loop>300) && (loop < 380))
      {
      rect.x = 0; rect.y = 0; rect.w = 30; rect.h = 30; pos.y=250;pos.x=338-((loop-300)*5);
      SDL_BlitSurface(misc, &rect, screen, &pos);
      }
    
    // The RoadSigns
    if ((loop>=300)&&(loop<=420))
      {
      rect.x = 0; rect.y=0; rect.w = 50; rect.h = 50; pos.x = 600-((loop-300)*5); pos.y = 190;
      SDL_BlitSurface(signs, &rect, screen, &pos);
      }
    if ((loop>=520)&&(loop<=640))
      {
      rect.x = 50; rect.y=0; rect.w = 50; rect.h = 50; pos.x = 600-((loop-520)*5); pos.y = 190;
      SDL_BlitSurface(signs, &rect, screen, &pos);
      }
    if ((loop>=740)&&(loop<=860))
      {
      rect.x = 100; rect.y=0; rect.w = 50; rect.h = 50; pos.x = 600-((loop-740)*5); pos.y = 190;
      SDL_BlitSurface(signs, &rect, screen, &pos);
      }
    if ((loop>=920)&&(loop<=960))
      {
      rect.x = 150; rect.y=0; rect.w = 50; rect.h = 50; pos.x = 600-((loop-920)*5); pos.y = 190;
      SDL_BlitSurface(signs, &rect, screen, &pos);
      }

    if ((loop > 5) &&(loop < 65)) little_xprint("We have you surrounded, Fabbri!",  0, 250);
    if ((loop > 25)&&(loop < 95)) little_xprint("Come out with your taxes up!",  50, 350);
    if ((loop > 80)&&(loop < 120)) little_xprint("You'll Never catch me!", 180, 250);
    if ((loop > 640)&&(loop < 730)) little_xprint("If I had a million dollars",  250, 350);
    if ((loop > 640)&&(loop < 730)) little_xprint("I'd want to be a professor",  250, 370);
    if ((loop > 740)&&(loop < 800)) little_xprint("Oh wait.  I do.",  320, 350);
    if ((loop > 740)&&(loop < 800)) little_xprint("So, I guess I will.",  320, 370);
    if ((loop > 910)&&(loop < 960)) little_xprint("I'll hide here.",  320, 350);
    if ((loop > 910)&&(loop < 960)) little_xprint("This place looks cool!",  320, 370);

    if (loop == 300) do_sounds(sounds[crash]);
    if (loop == 40) do_sounds(sounds[drive]);
    // The fabbri car

    if ((loop>=70)&&(loop < 100))
      {
      rect.x = 30; rect.y = 0; rect.w = 30; rect.h = 30;
      pos.x = 120+((loop-70)*5); pos.y = 210+((loop-70)*3);
      SDL_BlitSurface(fabbri, &rect, screen, &pos);
      }
	
    if (loop >= 100)
      {
      rect.x = 30; rect.y = 0; rect.w = 30; rect.h = 30;
      pos.x = 270+ (loop/4); pos.y = 300+vary[loop%50];
      SDL_BlitSurface(fabbri, &rect, screen, &pos);
      }
    
    SDL_UpdateRect(screen, 0,0,0,0);
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    if (loop == 900)  // Fade it out at the end of the intermission.
      Mix_FadeOutMusic(4000);
    SDL_Delay(25);    
    
    } // End delay for end of screen
  }


/*****************************************************************************
 *
 * Intermission 5
 *
 *****************************************************************************/

void show_intermission5()
  {
  int loop;
  SDL_Surface * scroller;
  SDL_Event event;
  SDL_Rect rect;
  SDL_Rect pos;
  char str[100];

  // The fifth intermission is Schemm and his cats
  Mix_PlayMusic(musics[inter1], -1);
  // Intermissions get a blank screen!
  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  big_xprint("Part V", 216, 100);
  big_xprint("Schemm", 216, 200);
  little_xprint("A ways back...", 230, 300);
  SDL_UpdateRect(screen, 0,0,0,0);
  for (loop = 0; loop < 150; loop++)
    {
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    SDL_Delay(50);
    } // End delay PART I Display

  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  SDL_UpdateRect(screen, 0,0,0,0);
  // Now the main feature!
  // every 20 in loop = 1 second of action
  for (loop = 0; loop < 480; loop++)
    {
    SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
    // The ground
    rect.x = 0; rect.y = 400;rect.w = 600; rect.h = 50;
    SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format,188, 155, 0));
    // CASET
    //rect.x = 0; rect.y = 0;rect.w=333;rect.h=200;pos.x =0;pos.y=200;
    //SDL_BlitSurface(caset, &rect, screen, &pos);
    // Fabbri
    rect.x = 0; rect.y = 0;rect.w=44;rect.h=120;pos.x =40;pos.y=288;
    SDL_BlitSurface(BigFabbri, &rect, screen, &pos);
    // Twig
    rect.x = 0; rect.y = 0;rect.w=54;rect.h=140;pos.x =90;pos.y=268;
    SDL_BlitSurface(BigTwig, &rect, screen, &pos);
    // Boger
    rect.x = 0; rect.y = 0;rect.w=42;rect.h=126;pos.x =150;pos.y=280;
    SDL_BlitSurface(BigBoger, &rect, screen, &pos);
    // The Truck
    if (loop < 60)
      {
      rect.x = 0; rect.y = 0;rect.w=240;rect.h=80;pos.x =360+((60-loop)*4);pos.y=334;
      SDL_BlitSurface(movers, &rect, screen, &pos);
      }
    else
      {
      rect.x = 0; rect.y = 0;rect.w=240;rect.h=80;pos.x =360;pos.y=334;
      SDL_BlitSurface(movers, &rect, screen, &pos);
      }
    
    // Schemm
    if ((loop>=60)&&(loop<100))
      {
      rect.x = 57; rect.y = 0;rect.w=57;rect.h=150;pos.x =302+((100-loop)*4);pos.y=270;
      SDL_BlitSurface(BigSchemm, &rect, screen, &pos);
      }
    if (loop>=100)
      {
      rect.x = 57; rect.y = 0;rect.w=57;rect.h=150;pos.x =302;pos.y=270;
      SDL_BlitSurface(BigSchemm, &rect, screen, &pos);
      }
    
    // The cats
    if ((loop>120)&&(loop<360))
      {
      rect.x=0; rect.y=0; rect.w=75;rect.h=50;pos.x=500-((loop-120)*2);pos.y=370;
      SDL_BlitSurface(cats, &rect, screen, &pos);
      }

    if ((loop>180)&&(loop<420))
      {
      rect.x=75; rect.y=0; rect.w=75;rect.h=50;pos.x=500-((loop-180)*2);pos.y=370;
      SDL_BlitSurface(cats, &rect, screen, &pos);
      }
    if ((loop>240)&&(loop<480))
      {
      rect.x=150; rect.y=0; rect.w=75;rect.h=50;pos.x=500-((loop-240)*2);pos.y=370;
      SDL_BlitSurface(cats, &rect, screen, &pos);
      }



    // Dialog
    if ((loop >  80)&&(loop < 120)) little_xprint("Help!! I Need",  250, 220);
    if ((loop >  80)&&(loop < 120)) little_xprint("Political Asylum.",  250, 240);
    if ((loop > 120)&&(loop < 160)) little_xprint("What for?",  170, 250);
    if ((loop > 160)&&(loop < 200)) little_xprint("I'm teaching cats",  250, 220);
    if ((loop > 160)&&(loop < 200)) little_xprint("to use Linux.",  250, 240);
    if ((loop > 200)&&(loop < 240)) little_xprint("Why?",  170, 250);
    if ((loop > 240)&&(loop < 280)) little_xprint("So they can take",  250, 220);
    if ((loop > 240)&&(loop < 280)) little_xprint("over the world!",  250, 240);
    if ((loop > 280)&&(loop < 320)) little_xprint("Uh oh.",  170, 250);
    if ((loop > 320)&&(loop < 360)) little_xprint("Can you",  170, 230);
    if ((loop > 320)&&(loop < 360)) little_xprint("teach C++?",  170, 250);
    if ((loop > 360)&&(loop < 400)) little_xprint("Of course!",  250, 240);
    if ((loop > 400)&&(loop < 440)) little_xprint("OK! OK!",  170, 230);
    if ((loop > 400)&&(loop < 440)) little_xprint("You're hired!",  170, 250);
    if ((loop > 440)&&(loop < 480)) little_xprint("WooHoo! My first",  250, 200);
    if ((loop > 440)&&(loop < 480)) little_xprint("job!  Now I can get",  250, 220);
    if ((loop > 440)&&(loop < 480)) little_xprint("paid to play games!",  250, 240);

    if ((loop > 100)&&(loop < 160)) little_xprint("He's weird.",  10, 230);
    if ((loop > 180)&&(loop < 240)) little_xprint("He's weird.",  10, 230);
    if ((loop > 260)&&(loop < 320)) little_xprint("He's weird.",  10, 230);
    if ((loop > 340)&&(loop < 400)) little_xprint("He's weird.",  10, 230);
    if ((loop > 100)&&(loop < 160)) little_xprint("Hire him!",  10, 250);
    if ((loop > 180)&&(loop < 240)) little_xprint("Hire him!",  10, 250);
    if ((loop > 260)&&(loop < 320)) little_xprint("Hire him!",  10, 250);
    if ((loop > 340)&&(loop < 400)) little_xprint("Hire him!",  10, 250);
    
    if ((loop > 130)&&(loop < 170)) little_xprint("Schemmy?",  80, 410);
    if ((loop > 180)&&(loop < 220)) little_xprint("Schemminator?",  70, 410);
    if ((loop > 230)&&(loop < 270)) little_xprint("Schemmilition Man?",  65, 410);
    if ((loop > 280)&&(loop < 320)) little_xprint("Schemmville.",  75, 410);
    if ((loop > 330)&&(loop < 370)) little_xprint("His name",  80, 410);
    if ((loop > 330)&&(loop < 370)) little_xprint("is fun.",   80, 430);
    if ((loop > 330)&&(loop < 370)) little_xprint("Hire him.",  80, 450);

    if (loop == 120) do_sounds(sounds[meow]);
    if (loop == 200) do_sounds(sounds[meow]);
    if (loop == 240) do_sounds(sounds[meow]);
    if (loop == 280) do_sounds(sounds[meow]);
    if (loop == 320) do_sounds(sounds[meow]);
    if (loop == 400) do_sounds(sounds[purr]);

    SDL_UpdateRect(screen, 0,0,0,0);
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    if (loop == 400)  // Fade it out at the end of the intermission.
      Mix_FadeOutMusic(4000);
    SDL_Delay(50);    
    
    } // End delay for end of screen
  }



/*****************************************************************************
 *
 * Intermission 6
 *
 *****************************************************************************/

void show_intermission6()
  {
  int loop;
  SDL_Surface * scroller;
  SDL_Event event;
  SDL_Rect rect;
  SDL_Rect pos;
  char str[100];

  // Schemm wanders around the screen.
  int Spos[600] = {0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
		     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
		     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
		     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
		     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
		     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
		     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
		     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
		    5, 10, 15, 20, 25, 30, 35, 40, 45, 50,
		   55, 60, 65, 70, 75, 80, 85, 90, 90, 90,
		   90, 90, 90, 90, 90, 90, 90, 90, 90, 90,
		   90, 90, 90, 90, 90, 90, 90, 90, 90, 90,
		   90, 90, 90, 90, 90, 90, 90, 90, 90, 90,
		   90, 90, 90, 90, 90, 90, 90, 90, 90, 90,
		   90, 90, 90, 90, 90, 90, 90, 90, 90, 90,
		   90, 90, 90, 90, 90, 90, 90, 90, 90, 90,
		   90, 90, 90, 90, 90, 90, 90, 90, 90, 90,
		   90, 90, 90, 90, 90, 90, 90, 90, 90, 90,
		    97,105,112,120,127,135,142,150,157,165,
		   172,180,187,195,202,210,217,225,232,240,
		   240,240,240,240,240,240,240,240,240,240,
		   240,240,240,240,240,240,240,240,240,240,
		   240,240,240,240,240,240,240,240,240,240,
		   240,240,240,240,240,240,240,240,240,240,
		   240,240,240,240,240,240,240,240,240,240,
		   240,240,240,240,240,240,240,240,240,240,
		   240,240,240,240,240,240,240,240,240,240,
		   248,257,265,274,282,291,299,308,316,325,
		   335,344,352,361,369,378,386,394,402,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   410,410,410,410,410,410,410,410,410,410,
		   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
		   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
		   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
		   0,  0,  0,  0,  0,  0,  0,  0,  0,  0};
		   



  // Hobbies at Lake State
  Mix_PlayMusic(musics[inter1], -1);
  // Intermissions get a blank screen!
  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  big_xprint("Part VI", 202, 100);
  big_xprint("Hobbies", 202, 200);
  little_xprint("Fairly Recently...", 210, 300);
  SDL_UpdateRect(screen, 0,0,0,0);
  for (loop = 0; loop < 150; loop++)
    {
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    SDL_Delay(50);
    } // End delay PART I Display

  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  SDL_UpdateRect(screen, 0,0,0,0);
  // Now the main feature!
  // every 20 in loop = 1 second of action
  for (loop = 0; loop < 600; loop++)
    {
    SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));

    // Boger
    rect.x = 0; rect.y = 0;rect.w=42;rect.h=126;pos.x =150;pos.y=280;
    SDL_BlitSurface(BigBoger, &rect, screen, &pos);
    // Fabbri
    if (loop > 410)
      {
      rect.x = 0; rect.y = 0;rect.w=44;rect.h=120;pos.x =468;pos.y=288;
      SDL_BlitSurface(BigFabbri, &rect, screen, &pos);
      }
    // Fabbri de-cloak
    if ((loop > 410) && (loop < 450))
      {
      rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 460+(loop %2); pos.y=288;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 484+(loop %2); pos.y=288;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 460+(loop %2); pos.y=313;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 484+(loop %2); pos.y=313;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 460+(loop %2); pos.y=338;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 484+(loop %2); pos.y=338;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 460+(loop %2); pos.y=363;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 484+(loop %2); pos.y=363;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 460+(loop %2); pos.y=388;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 484+(loop %2); pos.y=388;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      }
    // Twig
    rect.x = 0; rect.y = 0;rect.w=54;rect.h=140;pos.x =302;pos.y=268;
    SDL_BlitSurface(BigTwig, &rect, screen, &pos);
    // Schemm
    rect.x = 0; rect.y = 0;rect.w=54;rect.h=150;pos.x =Spos[loop];pos.y=265;
    SDL_BlitSurface(BigSchemm, &rect, screen, &pos);

    if (loop == 410) do_sounds(sounds[appear]);


    if (loop < 40) 
      {
      little_xprint("Nobody comes to office", 0, 190);
      little_xprint("hours.  What should", 0, 210);
      little_xprint("I do with the time?", 0, 230);
      }

    if ((loop>= 40) && (loop < 80))
      {
      little_xprint("I'll ask around.  Maybe", 0, 190);
      little_xprint("the others will have", 0, 210);
      little_xprint("some suggestions.", 0, 230);
      }

    if ((loop>=100) && (loop < 140))
      {
      little_xprint("Hey!  What do you do when nobody", 90,210);
      little_xprint("comes to office hours?", 90, 230);
      }
    if ((loop>=140) && (loop < 180))
      {
      little_xprint("I'm playing spider.  Remember, the score", 140, 420);
      little_xprint("only counts if you use all four suits.", 140, 440);
      }

    if ((loop >=200) && (loop < 240))
      {
      little_xprint("Hey!  What do you do when nobody", 240,210);
      little_xprint("comes to office hours?", 240, 230);
      }
    if ((loop>=240) && (loop < 280))
      {
      little_xprint("Working on photoshop.  See, I", 290, 420);
      little_xprint("added you to this picture!", 290, 440);
      }

    if ((loop >=300) && (loop < 340))
      {
      little_xprint("Hey!  What do you do", 390, 190);
      little_xprint("when nobody comes", 390,210);
      little_xprint("to office hours?", 390, 230);
      }
    if ((loop >=360) && (loop < 400))
      {
      little_xprint("Oops!  Forgot to", 410, 190);
      little_xprint("engage Schroedinger", 410, 210);
      little_xprint("mode.", 410, 230);
      }

    if ((loop >= 460) && (loop < 500))
      {
      little_xprint("Hey!  What do you do", 390, 190);
      little_xprint("when nobody comes", 390,210);
      little_xprint("to office hours?", 390, 230);
      }
    if ((loop >= 500) && (loop < 540))
      {
      little_xprint("Play Magic:The", 410, 400);
      little_xprint("Gathering or find", 410, 420);
      little_xprint("ways to get tax", 410, 440);
      little_xprint("breaks.", 410, 460);
      }

    if ((loop >= 560) && (loop < 600))
      {
      little_xprint("Hmmm.... How to use this",0, 210);
      little_xprint("information.", 0, 230);
      }


    // Intermission graphics go here!

    SDL_UpdateRect(screen, 0,0,0,0);
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    if (loop == 520)  // Fade it out at the end of the intermission.
      Mix_FadeOutMusic(4000);
    SDL_Delay(50);    
    
    } // End delay for end of screen
  }




/*****************************************************************************
 *
 * Intermission 7 - Runescape
 *
 *      DosBox - Baldurs Gate - Runescape - Research
 *
 *****************************************************************************/

void show_intermission7()
  {
  int loop;
  SDL_Surface * scroller;
  SDL_Event event;
  SDL_Rect rect;
  SDL_Rect pos;
  char str[100];

  // The last intermission is Schemm deciding what to do in his office
  Mix_PlayMusic(musics[inter1], -1);
  // Intermissions get a blank screen!
  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  big_xprint("Part VII", 188, 100);
  big_xprint("Research", 188, 200);
  little_xprint("A few years ago...", 210, 300);
  SDL_UpdateRect(screen, 0,0,0,0);
  for (loop = 0; loop < 150; loop++)
    {
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    SDL_Delay(50);
    } // End delay PART I Display

  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  SDL_UpdateRect(screen, 0,0,0,0);
  // Now the main feature!
  // every 20 in loop = 1 second of action
  for (loop = 0; loop < 600; loop++)
    {
    SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));


    // Intermission graphics go here!
    // CASET
    rect.x = 0; rect.y = 0;rect.w=333;rect.h=200;pos.x =267;pos.y=200;
    SDL_BlitSurface(caset, &rect, screen, &pos);

    // Schemm
    rect.x = 0; rect.y = 0;rect.w=57;rect.h=150;pos.x =160;pos.y=270;
    SDL_BlitSurface(BigSchemm, &rect, screen, &pos);
    // Laptop
    rect.x = 0; rect.y = 75; rect.w=25; rect.h=25; pos.x = 192; pos.y = 327;
    SDL_BlitSurface(misc, &rect, screen, &pos);
    

    if ((loop > 115) && (loop <= 135))
      {
      little_xprint("<- Nokia N810", 225, 320);
      }

    // Students
    if ((loop>=0) && (loop < 100))
      {
      rect.x = (loop%8)*20;rect.y = 20;rect.h=20;rect.h=20;
      pos.y = 460 - ((loop/10)*10); pos.x = 580 - (loop * 3);
      SDL_BlitSurface(student, &rect, screen, &pos);
      }
    if ((loop>=140) && (loop < 240))
      {
      rect.x = (loop%8)*20;rect.y = 20;rect.h=20;rect.h=20;
      pos.y = 460 - (((loop-140)/10)*10); pos.x = 580 - ((loop-140) * 3);
      SDL_BlitSurface(student, &rect, screen, &pos);
      }
    if ((loop>=280) && (loop < 380))
      {
      rect.x = (loop%8)*20;rect.y = 20;rect.h=20;rect.h=20;
      pos.y = 460 - (((loop-280)/10)*10); pos.x = 580 - ((loop-280) * 3);
      SDL_BlitSurface(student, &rect, screen, &pos);
      }
    //Twig
    if ((loop>= 380) && (loop < 430))
      {
      rect.x = 0; rect.y = 0;rect.w=54;rect.h=140;pos.x =(loop-380)*2;pos.y=275;
      SDL_BlitSurface(BigTwig, &rect, screen, &pos);
      }
    if (loop>=430)
      {
      rect.x = 0; rect.y = 0;rect.w=54;rect.h=140;pos.x =100;pos.y=275;
      SDL_BlitSurface(BigTwig, &rect, screen, &pos);
      }
    
    if ((loop>=25) && (loop < 75)) little_xprint("Time to play games with DosBox!",
						500-(loop*3),390-(loop/10)*10);

    if ((loop>=165) && (loop < 215)) little_xprint("Time to play MAME!",
						   500-((loop-165)*3), 
						   390-((loop-165)/10) * 10);

    if ((loop>=305) && (loop < 355)) little_xprint("Time to play Runescape!",
						   500-((loop-305)*3),
						   390-((loop-305)/10) * 10);

    if ((loop>=70) && (loop <110)) 
      {
      little_xprint("DosBos?  I'll", 110, 200);
      little_xprint("have to check ", 110, 220);
      little_xprint("that out!", 110, 240);
      }
    
    if ((loop>=210) && (loop < 250))
      {
      little_xprint("MAME?  I'll", 110, 200);
      little_xprint("have to check",110, 220); 
      little_xprint("that out!", 110, 240);
      }

    if ((loop>=350) && (loop <390))
      {
      little_xprint("Runescape?  I'll", 110, 200);
      little_xprint("have to check", 110, 220);
      little_xprint("that out!", 110, 240);
      }

    if ((loop>=400) && (loop < 440))
      little_xprint ("What'cha doing Schemm?", 50, 420);

    if ((loop>=440) && (loop < 480))
      little_xprint ("Research!", 150, 240);
    if ((loop>=480) && (loop < 520))
      little_xprint ("Research?  It looks like you are playing games!", 50,420);
    if ((loop>=520) && (loop < 560))
      {
      little_xprint ("Nope.  I'm", 150, 200);
      little_xprint ("calling it", 150, 220);
      little_xprint ("Research!",150, 240);
      }
    if ((loop>=560) && (loop < 600))
      little_xprint ("Uh oh! I have a bad feeling about this.", 50, 420);

	
    SDL_UpdateRect(screen, 0,0,0,0);
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    if (loop == 520)  // Fade it out at the end of the intermission.
      Mix_FadeOutMusic(4000);
    SDL_Delay(50);    
    
    } // End delay for end of screen
  }


/*****************************************************************************
 *
 * Intermission 8
 *
 *****************************************************************************/

void show_intermission8()
  {
  int loop;
  SDL_Surface * scroller;
  SDL_Event event;
  SDL_Rect rect;
  SDL_Rect pos;
  char str[100];

  // The 8th intermission is defending LSSU from zombies!
  Mix_PlayMusic(musics[inter1], -1);
  // Intermissions get a blank screen!
  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  big_xprint("Part VIII", 174, 100);
  big_xprint("The Attack", 160, 200);
  little_xprint("'Classified - Top Secret'", 175, 300);
  SDL_UpdateRect(screen, 0,0,0,0);
  for (loop = 0; loop < 150; loop++)
    {
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    SDL_Delay(50);
    } // End delay PART I Display

  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  SDL_UpdateRect(screen, 0,0,0,0);
  // Now the main feature!
  // every 20 in loop = 1 second of action
  for (loop = 0; loop < 600; loop++)
    {
    SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
 
    // The ground
    rect.x = 0; rect.y = 400;rect.w = 600; rect.h = 50;
    SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format,188, 155, 0));  
    // CASET
    rect.x = 0; rect.y = 0;rect.w=333;rect.h=200;pos.x =0;pos.y=200;
    SDL_BlitSurface(caset, &rect, screen, &pos);
    // Schemm
    rect.x=(57*(loop<120)); rect.y = 0;rect.w=57;rect.h=150;pos.x =190;pos.y=295;
    SDL_BlitSurface(BigSchemm, &rect, screen, &pos);
       if (loop > 125)
      {
      rect.x=0; rect.y=60; rect.w=110;rect.h=14;pos.x = 190; pos.y=355;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      }

    if (loop < 80)
      {
      // Fabbri
      rect.x = 0; rect.y = 0;rect.w=44;rect.h=120;pos.x =40;pos.y=308;
      SDL_BlitSurface(BigFabbri, &rect, screen, &pos);
      // Twig
      rect.x = 0; rect.y = 0;rect.w=54;rect.h=140;pos.x =90;pos.y=288;
      SDL_BlitSurface(BigTwig, &rect, screen, &pos);
      // Boger
      rect.x = 0; rect.y = 0;rect.w=42;rect.h=126;pos.x =145;pos.y=300;
      SDL_BlitSurface(BigBoger, &rect, screen, &pos);
      }
    if ((loop >=80)&&(loop<120))
      {
      // Fabbri
      rect.x = 0; rect.y = 0;rect.w=44;rect.h=120;pos.x =40-((loop-80)*4);pos.y=308;
      SDL_BlitSurface(BigFabbri, &rect, screen, &pos);
      // Twig
      rect.x = 0; rect.y = 0;rect.w=54;rect.h=140;pos.x =90-((loop-80)*4);pos.y=288;
      SDL_BlitSurface(BigTwig, &rect, screen, &pos);
      // Boger
      rect.x = 0; rect.y = 0;rect.w=42;rect.h=126;pos.x =145-((loop-80)*4);pos.y=300;
      SDL_BlitSurface(BigBoger, &rect, screen, &pos);
      }
    if (loop>=530)
      {
      // Boger
      rect.x = 0; rect.y = 0;rect.w=42;rect.h=126;pos.x =0;pos.y=300;
      SDL_BlitSurface(BigBoger, &rect, screen, &pos);
      }

    // Zombies
    if ((loop>=80)&&(loop<=260)) // 1
      {
      rect.x=80*(loop%8); rect.y=0; rect.w=80; rect.h=100; 
      pos.y=310;pos.x=660-((loop-80)*2);
      SDL_BlitSurface(zombie, &rect, screen, &pos);
      }

    if ((loop>80)&&(loop<290)) // 2
      {
      rect.x=80*(loop%8); rect.y=0; rect.w=80; rect.h=100;
      pos.y=310;pos.x=720-((loop-80)*2);
      SDL_BlitSurface(zombie, &rect, screen, &pos);
      }

    if ((loop>80)&&(loop<320)) // 3
      {
      rect.x=80*(loop%8); rect.y=0; rect.w=80; rect.h=100;
      pos.y=310;pos.x=780-((loop-80)*2);
      SDL_BlitSurface(zombie, &rect, screen, &pos);
      }

    if ((loop>80)&&(loop<350)) // 4
      {
      rect.x=80*(loop%8); rect.y=0; rect.w=80; rect.h=100;
      pos.y=310;pos.x=840-((loop-80)*2);
      SDL_BlitSurface(zombie, &rect, screen, &pos);
      }

    if ((loop>80)&&(loop<380)) // 5
      {
      rect.x=80*(loop%8); rect.y=0; rect.w=80; rect.h=100;
      pos.y=310;pos.x=900-((loop-80)*2);
      SDL_BlitSurface(zombie, &rect, screen, &pos);
      }

    if ((loop>80)&&(loop<410)) // 6
      {
      rect.x=80*(loop%8); rect.y=0; rect.w=80; rect.h=100;
      pos.y=310;pos.x=960-((loop-80)*2);
      SDL_BlitSurface(zombie, &rect, screen, &pos);
      }

    if ((loop>80)&&(loop<440)) // 7
      {
      rect.x=80*(loop%8); rect.y=0; rect.w=80; rect.h=100;
      pos.y=310;pos.x=1020-((loop-80)*2);
      SDL_BlitSurface(zombie, &rect, screen, &pos);
      }

    if ((loop>80)&&(loop<470)) // 8
      {
      rect.x=80*(loop%8); rect.y=0; rect.w=80; rect.h=100;
      pos.y=310;pos.x=1080-((loop-80)*2);
      SDL_BlitSurface(zombie, &rect, screen, &pos);
      }

    // Intermission graphics go here!



    if (loop == 120) do_sounds(sounds[roar]);
    if (loop == 255) do_sounds(sounds[gun]);
    if (loop == 285) do_sounds(sounds[gun]);
    if (loop == 315) do_sounds(sounds[gun]);
    if (loop == 345) do_sounds(sounds[gun]);
    if (loop == 375) do_sounds(sounds[gun]);
    if (loop == 405) do_sounds(sounds[gun]);
    if (loop == 435) do_sounds(sounds[gun]);
    if (loop == 465) do_sounds(sounds[gun]);
    if (loop == 560) do_sounds(sounds[intermission]);

    if ((loop >10)&&(loop < 70)) little_xprint("Zombies have invaded LSSU!", 340, 200);
    if ((loop >10)&&(loop < 70)) little_xprint("Is LSSU doomed???",  340, 220);
    if ((loop >70)&&(loop < 110)) little_xprint("Run Away! Run Away!" ,  10, 420);
    if ((loop >120)&&(loop < 160)) little_xprint("I'll Handle this!",  200, 250);
    if ((loop >200)&&(loop < 230)) little_xprint("BRRAAAAIIINNSS!",  450, 270);
    if ((loop >400)&&(loop < 430)) little_xprint("BRRAAAAIIINNSS!",  350, 270);

    if ((loop >490)&&(loop < 530)) little_xprint("That's the last of them",200,250);

    if ((loop >550)&&(loop < 600)) little_xprint("That game playing research",  20, 420);
    if ((loop >550)&&(loop < 600)) little_xprint("sure paid off!  You saved us!",  20, 440);

    SDL_UpdateRect(screen, 0,0,0,0);
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    if (loop == 520)  // Fade it out at the end of the intermission.
      Mix_FadeOutMusic(4000);
    SDL_Delay(50);    
    
    } // End delay for end of screen
  }



/*****************************************************************************
 *
 * Intermission 9
 *
 *****************************************************************************/

void show_intermission9()
  {
  int loop;
  SDL_Event event;
  SDL_Rect rect;
  SDL_Rect pos;
  int x;

  // The 9th intermission is Dean Blose
  Mix_PlayMusic(musics[inter1], -1);
  // Intermissions get a blank screen!
  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  big_xprint("Part IX", 202, 100);
  big_xprint("The New Boss", 132, 200);
  little_xprint("More recently...", 220, 300);
  SDL_UpdateRect(screen, 0,0,0,0);
  for (loop = 0; loop < 150; loop++)
    {
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    SDL_Delay(50);
    } // End delay PART I Display

  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  SDL_UpdateRect(screen, 0,0,0,0);
  // Now the main feature!
  // every 20 in loop = 1 second of action
  for (loop = 0; loop < 600; loop++)
    {
    SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));


    rect.x = 0; rect.y = 0; rect.w = 20; rect.h = 30; pos.x = 260; pos.y=280;
    SDL_BlitSurface(dean, &rect, screen, &pos);

    if (loop > 75) 
      {
      rect.x = 0; rect.y = 0; rect.w = 25; rect.h = 30; pos.x = 70; pos.y = 280;
      SDL_BlitSurface(boger, &rect, screen, &pos);
      }

    if (loop > 180)
      {
      rect.x = 30; rect.y = 0; rect.w = 30; rect.h = 30; pos.x = 10; pos.y = 370;
      SDL_BlitSurface(player, &rect, screen, &pos);
      }

    if (loop > 360)
      {
      for (x = 0; x < 4; x++)
	{
	rect.x = (tick)%6 * 30; rect.y = 0; rect.w = 30; rect.h = 30; pos.x = x  * 40 + 50; pos.y = 370;
	SDL_BlitSurface(cola, &rect, screen, &pos);
	}
      }

    if (loop > 480)
      {
      // Schemm
      rect.x = 57; rect.y = 0;rect.w=57;rect.h=150;pos.x =500;pos.y=270;
      SDL_BlitSurface(BigSchemm, &rect, screen, &pos);
      }
    if ((loop > 520) && (loop < 560))
      {
      rect.x = 85; rect.y = 75+ ((loop*7)%5); rect.w = 25; rect.h = 10; pos.x = 258; pos.y = 276;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      rect.x = 85; rect.y = 75+ ((loop*7)%5); rect.w = 25; rect.h = 10; pos.x = 258; pos.y = 286;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      }
    if (loop >550)
      {
      rect.x = 85; rect.y = 90; rect.w = 25; rect.h = 10; pos.x = 258; pos.y = 302;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      }


    if (loop == 360) {do_sounds(sounds[appear]);}
    if (loop == 440) { do_sounds(sounds[falling]); do_sounds(sounds[jumpping]);}
    if (loop == 540) { do_sounds(sounds[squish]);}




    // D: Where am I?
    if (loop < 40)
      {
      little_xprint("Where am I?",300,250 );
      }

    // D: How did I get all 2-D?
    if ((loop > 40) && (loop < 80))
      {
      little_xprint("How did I get all 2-D?",300 , 250);
      little_xprint("Help!",300 ,270 );
      }


    // B: What's the problem?
    if ((loop >= 80) && (loop < 120))
      {
      little_xprint("What's the problem?", 50, 250);
      }

    // D: What's going on here?
    if ((loop >= 120) && (loop < 160))
      {
      little_xprint("What's going on here?", 300, 250);
      }

    // B: You've been sucked into a Schemm game
    if ((loop >= 160) && (loop < 200))
      {
      little_xprint("You've been sucked into a Schemm game",50 , 250);
      }

    // D: How do I get out?
    if ((loop >= 200) && (loop < 240))
      {
      little_xprint("How do I get out?", 300, 250);
      }

    // B: I don't think you can.
    if ((loop >= 240) && (loop < 280))
      {
      little_xprint("I don't think you can.",50 ,250 );
      }

    // T: Now you know what my life is like
    if ((loop >= 280) && (loop < 320))
      {
      little_xprint("Now you know what my life is like!", 0, 420);
      }

    // D: What is there to do in here?
    if ((loop >= 320) && (loop < 360))
      {
      little_xprint("What is there to do in here?", 300, 250);
      }

    // T: There is lots of Diet Cola!
    if ((loop >= 360) && (loop < 400))
      {
      little_xprint("There is lots of Diet Cola!", 0, 420);
      }

    // B: You might have superpowers
    if ((loop >= 400) && (loop < 440))
      {
      little_xprint("You might have superpowers.", 50, 250);
      }


    if ((loop >= 440) && (loop < 480))
      {
      little_xprint("I can fly!", 50, 250);
      little_xprint("I can jump!", 0, 420);
      }

    // S: Like this!
    if ((loop >= 480) && (loop < 520))
      {
      little_xprint("Or something like this!",360 , 250);
      }

    if ((loop >= 560) && (loop < 600))
      {
      little_xprint("Snow???", 300,250);
      }


    // Intermission graphics go here!

    SDL_UpdateRect(screen, 0,0,0,0);
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }

    tick = (tick+1)%2520;
    if (loop == 520)  // Fade it out at the end of the intermission.
      Mix_FadeOutMusic(4000);
    SDL_Delay(50);    
    
    } // End delay for end of screen
  }





/*****************************************************************************
 *
 * Intermission 10
 *
 *****************************************************************************/

void show_intermission10()
  {
  int loop;
  SDL_Event event;
  SDL_Rect rect;
  SDL_Rect pos;
 
  int x;

  // The 10th intermission is Bogers comics
  Mix_PlayMusic(musics[inter1], -1);
  // Intermissions get a blank screen!
  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  big_xprint("Part X", 216, 100);
  big_xprint("Obsession or Therapy", 20, 200);
  little_xprint("Almost All the Time Now...", 170, 300);
  SDL_UpdateRect(screen, 0,0,0,0);
  for (loop = 0; loop < 150; loop++)
    {
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    SDL_Delay(50);
    } // End delay PART I Display

  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  SDL_UpdateRect(screen, 0,0,0,0);
  // Now the main feature!
  // every 20 in loop = 1 second of action
  for (loop = 0; loop < 600; loop++)
    {
    SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));

    // Comics
    for (x = 0; x < (loop / 6); x++)
      {
      rect.x =50; rect.y = 75; rect.w = 35; rect.h = 25; 
      pos.x= 160 + (x/10) * 40; pos.y = 80 + (x % 10)* 30;
      SDL_BlitSurface(misc, &rect, screen, &pos);
      }

    // Twig
    rect.x = 0; rect.y = 0;rect.w=54;rect.h=140;pos.x =60;pos.y=268;
    SDL_BlitSurface(BigTwig, &rect, screen, &pos);

    // Schemm
    if (loop < 60)
      {
      rect.x = 0; rect.y = 0;rect.w=54;rect.h=150;pos.x = loop - 60;pos.y=265;
      SDL_BlitSurface(BigSchemm, &rect, screen, &pos);
      }
    else
      {
      rect.x = 0; rect.y = 0;rect.w=54;rect.h=150;pos.x =0;pos.y=265;
      SDL_BlitSurface(BigSchemm, &rect, screen, &pos);
      }

    // Boger
    rect.x = 0; rect.y = 0;rect.w=42;rect.h=126;pos.x =150 + (loop/5)*3;pos.y=280;
    SDL_BlitSurface(BigBoger, &rect, screen, &pos);

    // Intermission graphics go here!
    
    if ((loop > 60) && (loop < 100))
      {
      little_xprint("What is he", 0,220);
      little_xprint("doing???", 0, 240);
      }
    if ((loop > 100) && (loop < 140))
      {
      little_xprint("Posting comics", 60, 410);
      little_xprint("What does it look like?", 60, 430);
      }
    if ((loop > 180) && (loop < 220))
      {
      little_xprint("Why is he", 0, 200);
      little_xprint("posting so", 0,220);
      little_xprint("many??", 0, 240);
      }
    if ((loop > 220) && (loop < 260))
      {
      little_xprint("Boger discovered the online", 60, 410);
      little_xprint("comic archives.", 60, 430);
      }
    if ((loop > 260) && (loop < 300))
      {
      little_xprint("But isn't this", 0, 220);
      little_xprint("obsessive?", 0, 240);
      }
    if ((loop > 300) && (loop < 340))
      {
      little_xprint("Nope.  It's theraputic.", 60, 410);
      little_xprint("He's recovering from a previous dean.", 60, 430);
      }
    if ((loop > 340) && (loop < 380))
      {
      little_xprint("Well, at least", 0, 200);
      little_xprint("he chooses", 0, 220);
      little_xprint("good ones.", 0, 240);
      }
    if ((loop > 380) && (loop < 420))
      {
      little_xprint("True.  Except for the ones he puts", 60, 410);
      little_xprint("on Dr. Mullers door.  She has to keep", 60, 430);
      little_xprint("taking them down, she's not tenured yet.", 60, 450);
      }
    if ((loop > 420) && (loop < 460))
      {
      little_xprint("Ahh...", 0, 240);
      }
    if ((loop > 460) && (loop <  500))
      {
      little_xprint("Did you see new one he put up", 60, 410);
      little_xprint("on Dr. Coullards door?", 60, 430);
      }
    if ((loop > 500) && (loop < 540))
      {
      little_xprint("Yes, it", 0, 200);
      little_xprint("reminds me of", 0, 220);
      little_xprint("our current...", 0, 240);
      }
    if ((loop > 530) && (loop < 595))
      {
      little_xprint("Quiet!!!", 380, 400);
      little_xprint("Some of us are working here!", 380, 420);
      }
    


    SDL_UpdateRect(screen, 0,0,0,0);
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    if (loop == 520)  // Fade it out at the end of the intermission.
      Mix_FadeOutMusic(4000);
    SDL_Delay(50);    
    
    } // End delay for end of screen
  }



/*****************************************************************************
 *
 * Intermission 11
 *
 *****************************************************************************/

void show_intermission11()
  {
  int loop;
  SDL_Event event;
  SDL_Rect rect;
  SDL_Rect pos;

  int x;
  int y;
  
  char minimap[10][15]= {{2,1,1,1,1,1,1,1,1,1,1,1,1,1,2},
			 {1,3,3,3,0,3,3,3,3,3,1,3,3,3,1},
			 {1,3,1,1,1,1,1,1,1,1,1,1,1,3,1},
			 {1,3,1,3,3,1,3,3,3,1,3,3,1,3,1},
			 {1,1,1,3,1,1,1,1,1,1,1,3,1,1,1},
			 {1,3,3,3,1,3,1,3,1,3,1,3,3,3,1},
			 {1,1,1,3,1,3,1,3,1,3,1,3,1,1,1},
			 {1,3,1,1,1,3,1,1,1,3,1,1,1,3,1},
			 {1,3,3,3,1,3,3,1,3,3,1,3,3,3,1},
			 {2,1,1,1,1,1,1,0,1,1,1,1,1,1,2}};

  int bx, by;
  int tx, ty;
  int stux, stuy;
  int dx, dy;
  int fscore;
  char strscore[10];
  

  bx = 77; by = 90;
  tx = 285; ty = 150;
  stux = 285; stuy = 360;

  fscore = 0;

  // The 11th intermission is the new game
  Mix_PlayMusic(musics[inter1], -1);
  // Intermissions get a blank screen!
  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  big_xprint("Part XI", 202, 100);
  big_xprint("The Future", 160, 200);
  little_xprint("Coming Soon to a (good) platform near you", 95, 300);
  SDL_UpdateRect(screen, 0,0,0,0);
  for (loop = 0; loop < 150; loop++)
    {
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    SDL_Delay(50);
    } // End delay PART I Display

  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  SDL_UpdateRect(screen, 0,0,0,0);
  // Now the main feature!
  // every 20 in loop = 1 second of action
  for (loop = 0; loop < 600; loop++)
    {
    SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
    
    // Intermission graphics go here!

    rect.x = 45; rect.y = 60;rect.w = 510; rect.h = 30;
    SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format,0, 0, 190));
    rect.x = 45; rect.y = 390;rect.w = 510; rect.h = 30;
    SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format,0, 0, 190));
    rect.x = 45;  rect.y = 90;rect.w = 30; rect.h = 300;
    SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format,0, 0, 190));
    rect.x = 525; rect.y = 90;rect.w = 30; rect.h = 300;
    SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format,0, 0, 190));

    for (x = 0; x < 15; x++)
      {
      for (y = 0; y < 10; y++)
	{
	if (minimap[y][x] >=8)
	  {
	  rect.x = 90; rect.y = 0;rect.w=30;rect.h=30;pos.x =75+30*x;pos.y=90+30*y;
	  SDL_BlitSurface(pacitems, &rect, screen, &pos);
	  }

	if (minimap[y][x] != 0)
	  {
	  rect.x = 30*((minimap[y][x]& 0x07)-1); rect.y = 0;rect.w=30;rect.h=30;pos.x =75+30*x;pos.y=90+30*y;
	  SDL_BlitSurface(pacitems, &rect, screen, &pos);
	  }
	}
      }

    rect.x = 0; rect.y = 0; rect.w =30;rect.h = 30;pos.x = tx; pos.y = ty;
    SDL_BlitSurface(player, &rect, screen, &pos);
    rect.x = 0; rect.w = 25; pos.x = bx; pos.y = by;
    SDL_BlitSurface(boger, &rect, screen, &pos);

    rect.x = 20*(loop%8); rect.y= (20*(loop>360)); rect.h=20;rect.w = 20; pos.x = stux+5; pos.y = stuy+5;
    SDL_BlitSurface(student, &rect, screen, &pos);
    

    if (loop <= 210) stux++;
    if ((loop > 210) && (loop <= 360)) stuy--;
    if ((loop > 360) && (loop <= 420)) stux--;
    if ((loop > 420) && (loop <= 480)) stuy--;
    if (loop > 480) stux--;
    
    if (loop <= 420) bx++;
    if ((loop > 420) && (loop <= 540)) bx--;
    if ((loop > 540) && (loop <= 600)) by++;
    
     
    if (loop <= 60) tx++;
    if ((loop > 60) && (loop <= 120)) ty++;
    if ((loop >120) && (loop <= 150)) tx++;
    if ((loop >150) && (loop <= 300)) ty++;
    if ((loop >300) && (loop <= 390)) tx--;
    if ((loop >390) && (loop <= 450)) ty--;
    if ((loop >450) && (loop <= 480)) tx--;
    if ((loop >480) && (loop <= 570)) ty--;
    if (loop >570) tx--;

    if ((loop >= 285) && (loop < 345))
      {
      minimap[0][((loop-285)/15)+11] |= 8;
      rect.x = 0; rect.y = 0; rect.w = 20; rect.h = 30; pos.x = 375+((loop-285)*2); pos.y=90;
      SDL_BlitSurface(dean, &rect, screen, &pos);
      }

    if ((loop >= 450) && (loop < 510))
      {
      minimap[8-((loop-450)/15)][0] |= 8;
      rect.x = 0; rect.y = 0; rect.w = 20; rect.h = 30; pos.x = 75; pos.y=330-((loop-450)*2) ;
      SDL_BlitSurface(dean, &rect, screen, &pos);
      }

    if (loop == 285) {do_sounds(sounds[squish]);}
    if (loop == 300) {do_sounds(sounds[squish]);}
    if (loop == 315) {do_sounds(sounds[squish]);}
    if (loop == 330) {do_sounds(sounds[squish]);}

    if (loop == 450) {do_sounds(sounds[squish]);}
    if (loop == 465) {do_sounds(sounds[squish]);}
    if (loop == 480) {do_sounds(sounds[squish]);}
    if (loop == 495) {do_sounds(sounds[squish]);}



    if (loop == 510) minimap[0][11] &= 0x07;
    if (loop == 540) minimap[0][12] &= 0x07;
    if (loop == 570) minimap[0][13] &= 0x07;

    if (loop > 185) 
      {
      rect.x = 30; rect.y = 0; rect.w = 30; rect.h = 30; pos.x = 490; pos.y = 28;
      SDL_BlitSurface(pacitems, &rect, screen, &pos);
      }
   
    if (loop ==  5) {do_sounds(sounds[steal]); minimap[9][ 8] = 0;fscore += 25;}
    if (loop ==  35) {do_sounds(sounds[steal]); minimap[9][ 9] = 0;fscore += 25;}
    if (loop ==  65) {do_sounds(sounds[steal]); minimap[9][10] = 0;fscore += 25;}
    if (loop ==  95) {do_sounds(sounds[steal]); minimap[9][11] = 0;fscore += 25;}
    if (loop == 125) {do_sounds(sounds[steal]); minimap[9][12] = 0;fscore += 25;}
    if (loop == 155) {do_sounds(sounds[steal]); minimap[9][13] = 0;fscore += 25;}
    if (loop == 185) {do_sounds(sounds[get_tester]);      minimap[9][14] = 0;fscore += 80;}
    if (loop == 215) {do_sounds(sounds[steal]); minimap[8][14] = 0;fscore += 25;}
    if (loop == 245) {do_sounds(sounds[steal]); minimap[7][14] = 0;fscore += 25;}
    if (loop == 275) {do_sounds(sounds[steal]); minimap[6][14] = 0;fscore += 25;}
    if (loop == 305) {do_sounds(sounds[steal]); minimap[5][14] = 0;fscore += 25;}
    if (loop == 335) {do_sounds(sounds[steal]); minimap[4][14] = 0;fscore += 25;}
    if (loop == 365) {do_sounds(sounds[steal]); minimap[4][13] = 0;fscore += 25;}
    if (loop == 395) {do_sounds(sounds[steal]); minimap[4][12] = 0;fscore += 25;}
    if (loop == 425) {do_sounds(sounds[steal]); minimap[3][12] = 0;fscore += 25;}
    if (loop == 455) {do_sounds(sounds[steal]); minimap[2][12] = 0;fscore += 25;}
    if (loop == 485) {do_sounds(sounds[steal]); minimap[2][11] = 0;fscore += 25;}
    if (loop == 515) {do_sounds(sounds[steal]); minimap[2][10] = 0;fscore += 25;}
    if (loop == 545) {do_sounds(sounds[steal]); minimap[2][ 9] = 0;fscore += 25;}
    if (loop == 575) {do_sounds(sounds[steal]); minimap[2][ 8] = 0;fscore += 25;}
   
    sprintf(strscore, "%06d", fscore);
    little_xprint(strscore, 370, 30);


    SDL_UpdateRect(screen, 0,0,0,0);
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    if (loop == 520)  // Fade it out at the end of the intermission.
      Mix_FadeOutMusic(4000);
    SDL_Delay(25);    
    
    } // End delay for end of screen
  }


/*****************************************************************************
 *
 * Intermission 12
 *
 *****************************************************************************/

void show_intermission12()
  {
  int loop;
  SDL_Event event;
  SDL_Rect rect;
  SDL_Rect pos;
  int x;

  int Cxpos[36] = {-350,-350,-350,-350,-350,-350,-350,-350,-300,-300,-300,-300,-300,-300,-300,-250,-250,-250,-250,-250,-250,
		   -200,-200,-200,-200,-200,-150,-150,-150,-150,-100,-100,-100,-50,-50,0};
  int Cypos[36] = {25,75,125,175,225,275,325,375,50,100,150,200,250,300,350, 75,125,175,225,275,325,100,150,200,250,300,125,175,225,275,150,200,250,175,225,200};

  // The last intermission Fabbri Leaving
  Mix_PlayMusic(musics[inter1], -1);
  // Intermissions get a blank screen!
  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  big_xprint("Part XII", 188, 100);
  big_xprint("The End of an Era", 62, 200);
  little_xprint("Retirement or Discovery?", 180, 300);
  SDL_UpdateRect(screen, 0,0,0,0);
  for (loop = 0; loop < 150; loop++)
    {
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    SDL_Delay(50);
    } // End delay PART I Display

  SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
  SDL_UpdateRect(screen, 0,0,0,0);
  // Now the main feature!
  // every 20 in loop = 1 second of action
  for (loop = 0; loop < 580; loop++)
    {
    SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));


    if (loop < 200)
      {
      
      rect.x = 0; rect.y = 0;rect.w = 600; rect.h = 150;
      SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format,0, 150, 0)); 
      rect.x = 0; rect.y = 250;rect.w = 600; rect.h = 230;
      SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format,0, 150, 0)); 

      rect.x = 0; rect.y = 0; rect.h = 100; rect.w = 600; pos.x = 0; pos.y = 150;
      SDL_BlitSurface(road, &rect, screen, &pos);
      
      rect.x = 150; rect.y=0; rect.w = 50; rect.h = 50; pos.x = 400; pos.y = 90;
      SDL_BlitSurface(signs, &rect, screen, &pos);
      
      for (x=0; x < 36; x++)
	{
	rect.x = ((loop/10)%2)*40; rect.y = 0; rect.w = 40; rect.h= 30; pos.x = Cxpos[x] + loop*2 + 20; pos.y = Cypos[x];
	SDL_BlitSurface(trucks, &rect, screen, &pos);
	}
      little_xprint("OK Boys! We ", loop*2 + 15, 100);
      little_xprint("found him!!!", loop*2 + 15, 120);
      little_xprint("Spread out so", loop*2 + 15, 140);
      little_xprint("we can cover", loop*2 +15, 160);
      little_xprint("all his assets.", loop*2 + 15, 180);
      }

    if (loop > 500)
      {
      rect.x = 0; rect.y = 0;rect.w = 600; rect.h = 150;
      SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format,0, 150, 0)); 
      rect.x = 0; rect.y = 250;rect.w = 600; rect.h = 230;
      SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format,0, 150, 0)); 

      rect.x = 0; rect.y = 0; rect.h = 100; rect.w = 600; pos.x = 0; pos.y = 150;
      SDL_BlitSurface(road, &rect, screen, &pos);
      
      rect.x = 150; rect.y=0; rect.w = 50; rect.h = 50; pos.x = 400; pos.y = 90;
      SDL_BlitSurface(signs, &rect, screen, &pos);
      
      for (x=0; x < 36; x++)
	{
	rect.x = ((loop/10)%2)*40; rect.y = 0; rect.w = 40; rect.h= 30; pos.x = Cxpos[x] + 420; pos.y = Cypos[x];
	SDL_BlitSurface(trucks, &rect, screen, &pos);
	}
      little_xprint("I can't believe", 410, 230);
      little_xprint("they were all ", 410, 250);
      little_xprint("legit deductions!", 410, 270);
      little_xprint("And he got back", 410, 290);
      little_xprint("a refund too!!", 410, 310);
      }


    if (loop == 470) do_sounds(sounds[appear]);
    if (loop == 510) do_sounds(sounds[evil_laugh]);


    if ((loop > 200) && (loop < 500))
      {
      // CASET
      rect.x = 0; rect.y = 0;rect.w=333;rect.h=200;pos.x =400;pos.y=200;
      SDL_BlitSurface(caset, &rect, screen, &pos);
       rect.x = 0; rect.y = 400;rect.w = 600; rect.h = 50;
       SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format,188, 155, 0)); 
      // Schemm
      rect.x = 0; rect.y = 0;rect.w=57;rect.h=150;pos.x =30;pos.y=278;
      SDL_BlitSurface(BigSchemm, &rect, screen, &pos);
      // Twig
      rect.x = 0; rect.y = 0;rect.w=54;rect.h=140;pos.x =90;pos.y=288;
      SDL_BlitSurface(BigTwig, &rect, screen, &pos);
      // Boger
      rect.x = 0; rect.y = 0;rect.w=42;rect.h=126;pos.x =145;pos.y=300;
      SDL_BlitSurface(BigBoger, &rect, screen, &pos);

      // Fabbri
      if (loop < 490)
	{
	rect.x = 0; rect.y = 0;rect.w=44;rect.h=120;pos.x =258;pos.y=288;
	SDL_BlitSurface(BigFabbri, &rect, screen, &pos);
	}
      if ((loop > 470) &&  (loop < 490))
	{
	rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 250+(loop %2); pos.y=288;
	SDL_BlitSurface(misc, &rect, screen, &pos);
	rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 274+(loop %2); pos.y=288;
	SDL_BlitSurface(misc, &rect, screen, &pos);
	rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 250+(loop %2); pos.y=313;
	SDL_BlitSurface(misc, &rect, screen, &pos);
	rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 274+(loop %2); pos.y=313;
	SDL_BlitSurface(misc, &rect, screen, &pos);
	rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 250+(loop %2); pos.y=338;
	SDL_BlitSurface(misc, &rect, screen, &pos);
	rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 274+(loop %2); pos.y=338;
	SDL_BlitSurface(misc, &rect, screen, &pos);
	rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 250+(loop %2); pos.y=363;
	SDL_BlitSurface(misc, &rect, screen, &pos);
	rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 274+(loop %2); pos.y=363;
	SDL_BlitSurface(misc, &rect, screen, &pos);
	rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 250+(loop %2); pos.y=388;
	SDL_BlitSurface(misc, &rect, screen, &pos);
	rect.x =25; rect.y = 75; rect.w = 25; rect.h = 25; pos.x= 274+(loop %2); pos.y=388;
	SDL_BlitSurface(misc, &rect, screen, &pos);
	}
      }
    if ((loop > 210) && (loop < 250))
      {
      little_xprint("Sorry guys, I gotta go.", 250, 400);
      }
    if ((loop > 250) && (loop < 290))
      {
      little_xprint("OK Tony, see you tomorrow.", 130,250);
      }
    if ((loop > 290) && (loop < 330))
      {
      little_xprint("No, I have to leave for good.", 250,400);
      little_xprint("They found me." , 250, 420);
      }
    if ((loop > 330) && (loop < 370))
      {
      little_xprint("I'm retiring.", 250, 400);
      little_xprint("I'll be moving back to Tennessee.", 250, 420);
      little_xprint("Err. I mean I'm buying Tennessee.", 250, 440);
      }
    if ((loop > 370) && (loop < 410))
      {
      little_xprint("We will have", 130, 210);
      little_xprint("trouble", 130, 230);
      little_xprint("replacing you.", 130, 250);
      }
    if ((loop > 410) && ( loop <450))
      {
      little_xprint("Goodbye!", 0, 170);
      little_xprint("Have fun!", 0, 190);
      little_xprint("I'll make sure", 0, 210);
      little_xprint("your memory", 0, 230);
      little_xprint("lives on.", 0, 250);
      
      }
    if ((loop > 450) && ( loop < 490))
      {
      little_xprint("I get his Database courses.", 40, 430);
      }


    // Intermission graphics go here!
    
    SDL_UpdateRect(screen, 0,0,0,0);
    while (SDL_PollEvent(&event) > 0)
      {
      switch(event.type)
	{
	case SDL_QUIT:
	  exit(0);
	case SDL_KEYDOWN:
	  if (event.key.keysym.sym == keys[COINKEY])
	    {
	    coins++;
	    do_sounds(sounds[money]);
	    }
	  if (event.key.keysym.sym == keys[QUITKEY]) exit(0);
	  if (event.key.keysym.sym == keys[FSKEY])
	    {
	    screen_flags = screen_flags ^ SDL_FULLSCREEN;
	    change_screen(WIDTH, HEIGHT+OFFSET);
	    }
	}
      }
    if (loop == 500)  // Fade it out at the end of the intermission.
      Mix_FadeOutMusic(4000);
    SDL_Delay(50);    
    
    } // End delay for end of screen
  }
